Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class GMLGridCoverageWriter

    java.lang.Object
      org.deegree.model.coverage.grid.AbstractGridCoverageWriter
          org.deegree.model.coverage.grid.GMLGridCoverageWriter

All Implemented Interfaces:
  GridCoverageWriter

    public class GMLGridCoverageWriter

extends AbstractGridCoverageWriter

Implementation of "org.opengis.coverage.grid.GridCoverageWriter" for writing a GridCoverage as GML document to a defined destioation

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.model.coverage.grid.AbstractGridCoverageWriter
`destination, format, metadata`

Constructor Summary
`GMLGridCoverageWriter(Object destination, Map<String,Object> metadata, String[] subNames, String currentSubname, Format format)`

Method Summary
`void` | `dispose()` disposes all resources assigned to a GMLGridCoverageWriter instance.
`void` | `write(GridCoverage coverage, GeneralParameterValueIm[] parameters)` Writes the specified grid coverage.

Methods inherited from class org.deegree.model.coverage.grid.AbstractGridCoverageWriter
`getCurrentSubname, getDestination, getFormat, getMetadataNames, getMetadataValue, listSubNames, setCurrentSubname, setMetadataValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMLGridCoverageWriter

    public GMLGridCoverageWriter(Object destination,
                                 Map<String,Object> metadata,
                                 String[] subNames,
                                 String currentSubname,
                                 Format format)

Parameters:
  `destination` -
  `metadata` -
  `subNames` -
  `currentSubname` -
  `format` -

Method Detail

### dispose

    public void dispose()
                 throws IOException

  disposes all resources assigned to a GMLGridCoverageWriter instance. For most cases this will be IO-resources

  Throws:
    `IOException`

### write

    public void write(GridCoverage coverage,
                      GeneralParameterValueIm[] parameters)
               throws InvalidParameterNameException,
                      InvalidParameterValueException,
                      ParameterNotFoundException,
                      IOException

  Description copied from interface: `GridCoverageWriter`
  Writes the specified grid coverage.

  Parameters:
    `coverage` -
    `parameters` - must contain the servlet URL within the first field; all other fields must contain the required parameters for a valid GetCoverage request
  Throws:
    `InvalidParameterNameException`
    `InvalidParameterValueException`
    `ParameterNotFoundException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org